Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.emitter
Class ImageReader

    java.lang.Object
      org.eclipse.birt.report.engine.emitter.ImageReader

    public class ImageReader

extends java.lang.Object

Field Summary
`protected static java.util.logging.Logger` | `logger`
`static int` | `OBJECT_LOADED_SUCCESSFULLY`
`static int` | `OBJECT_UNLOADED`
`static int` | `RESOURCE_UNREACHABLE`
`static int` | `TYPE_CONVERTED_SVG_OBJECT`
`static int` | `TYPE_FLASH_OBJECT`
`static int` | `TYPE_IMAGE_OBJECT`
`static int` | `TYPE_SVG_OBJECT`
`static int` | `UNSUPPORTED_OBJECTS`

Constructor Summary
`ImageReader(IImageContent content, java.lang.String supportedImageFormats)`

Method Summary
`byte[]` | `getByteArray()`
`int` | `getType()`
`int` | `read()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_IMAGE_OBJECT

    public static final int TYPE_IMAGE_OBJECT

See Also:
  Constant Field Values

### TYPE_FLASH_OBJECT

    public static final int TYPE_FLASH_OBJECT

See Also:
  Constant Field Values

### TYPE_SVG_OBJECT

    public static final int TYPE_SVG_OBJECT

See Also:
  Constant Field Values

### TYPE_CONVERTED_SVG_OBJECT

    public static final int TYPE_CONVERTED_SVG_OBJECT

See Also:
  Constant Field Values

### OBJECT_UNLOADED

    public static final int OBJECT_UNLOADED

See Also:
  Constant Field Values

### RESOURCE_UNREACHABLE

    public static final int RESOURCE_UNREACHABLE

See Also:
  Constant Field Values

### UNSUPPORTED_OBJECTS

    public static final int UNSUPPORTED_OBJECTS

See Also:
  Constant Field Values

### OBJECT_LOADED_SUCCESSFULLY

    public static final int OBJECT_LOADED_SUCCESSFULLY

See Also:
  Constant Field Values

### logger

    protected static java.util.logging.Logger logger

Constructor Detail

### ImageReader

    public ImageReader(IImageContent content,
                       java.lang.String supportedImageFormats)

Method Detail

### read

    public int read()

### getByteArray

    public byte[] getByteArray()

### getType

    public int getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.